<?xml version="1.0" encoding="UTF-8"?>
<interface>
  <requires lib="gtk" version="4.0"/>
  <template class="AddCategoryWidget" parent="GtkBox">
    <property name="orientation">vertical</property>
    <child>
      <object class="GtkBox">
        <property name="vexpand">1</property>
        <property name="width_request">250</property>
        <property name="valign">center</property>
        <property name="margin_top">10</property>
        <property name="margin_bottom">10</property>
        <property name="orientation">vertical</property>
        <property name="spacing">5</property>
        <child>
          <object class="GtkLabel">
            <property name="can_focus">0</property>
            <property name="label" translatable="yes">Add a Category</property>
            <style>
                <class name="large-title"/>
            </style>
          </object>
        </child>
        <child>
          <object class="GtkLabel">
            <property name="can_focus">0</property>
            <property name="margin_bottom">20</property>
            <property name="label" translatable="yes">Enter the Title of the new Category</property>
            <style>
              <class name="dim-label"/>
            </style>
          </object>
        </child>
        <child>
          <object class="GtkEntry" id="category_entry">
            <property name="placeholder_text" translatable="yes">Category Title</property>
          </object>
        </child>
      </object>
    </child>
    <child>
      <object class="GtkButton" id="add_category_button">
        <property name="label" translatable="yes">Add</property>
        <property name="sensitive">0</property>
        <property name="receives_default">1</property>
        <property name="halign">end</property>
        <style>
          <class name="suggested-action"/>
        </style>
      </object>
    </child>
  </template>
</interface>